<div class="ngx-cool-dialog__backdrop"
     (click)="onBackdropClick()"
     [@fadeInOut]></div>
<div class="ngx-cool-dialog__content"
     #dialogContent
     tabindex="-1"
     (keyup.esc)="escKey()"
     (keyup.enter)="enterKey()"
     [class.ngx-cool-dialog__content--closing]="closing">
      <div class="ngx-cool-dialog__header">
        <h3 class="ngx-cool-dialog__title">
          <ng-container *ngIf="getTitle(); else anotherTitle">
            {{ getTitle() }}
          </ng-container>
          <ng-template #anotherTitle>
            <ng-container *ngIf="type === types.Alert">
              Alert
            </ng-container>
            <ng-container *ngIf="type === types.Confirm">
              Confirm
            </ng-container>
            <ng-container *ngIf="type === types.Prompt">
              Prompt
            </ng-container>
          </ng-template>
        </h3>
        <button class="ngx-cool-dialog__close-btn"
                *ngIf="theme !== 'material'"
                (click)="onCloseBtnClick()">
          <span class="ngx-cool-dialog__close-symbol"></span>
        </button>
      </div>
      <hr class="ngx-cool-dialog__divider">
      <p class="ngx-cool-dialog__text">
        {{ message }}
      </p>
      <input *ngIf="type === types.Prompt"
             type="text"
             #promptInput
             autofocus
             class="ngx-cool-dialog__input">
      <div class="ngx-cool-dialog__footer">
        <button *ngIf="type === types.Confirm || type === types.Prompt"
                class="ngx-cool-dialog__cancel-btn"
                [style.color]="getCancelButtonTextColor()"
                [style.border-color]="getCancelButtonBorderColor()"
                (click)="onCancelBtnClick()">
          <ng-container *ngIf="!config.cancelButtonText; else customCancelLabel">
            Cancel
          </ng-container>
          <ng-template #customCancelLabel>
            {{ config.cancelButtonText }}
          </ng-template>
        </button>
        <button class="ngx-cool-dialog__ok-btn"
                [style.color]="getOkButtonTextColor()"
                [style.background-color]="getOkButtonFillColor()"
                (click)="onOkBtnClick()">
          <ng-container *ngIf="!config.okButtonText; else customOkLabel">
            OK
          </ng-container>
          <ng-template #customOkLabel>
            {{ config.okButtonText }}
          </ng-template>
        </button>
      </div>
</div>
